Skip to main content
GET
List Issues
Issues are generated when we observe something that may impact the completeness or accuracy of the data we provide but do not justify a full error. For example, if we lack permissions for a specific resource or need to skip an item due to invalid data.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Application-Id
string

Scopes the request to a Terminal application in the caller's organization. Required for multi-application organizations when using a user session or OAuth access token. API keys are already bound to a single application.

Query Parameters

limit
integer

The maximum number of results to return in a page.

cursor
string<cursor>

Pagination cursor to start requests from

Pattern: ^[A-Za-z0-9+/=_-]+$
Example:

"cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw"

lastReportedAfter
string<date-time>

Timestamp to start when the issue was last observed ISO 8601 date

Example:

"2021-01-06T03:24:53.000Z"

lastReportedBefore
string<date-time>

Timestamp to end when the issue was last observed ISO 8601 date

Example:

"2021-01-06T03:24:53.000Z"

expand
enum<string>

Expand related resources to see all details

Available options:
connection
connectionId
string<ulid>

Filter issues to a specific connection

Example:

"conn_01GV12VR4DJP70GD1ZBK0SDWFH"

errorCode
enum<string>

Filter issues to a specific semantic Issue code Stable semantic identifier for an Issue and its remediation workflow. Legacy values remain in the schema for source compatibility but are not emitted after migration.

Available options:
missing_permissions,
exceeded_retention_window,
invalid_source_id,
unknown_device_type,
missing_safety_configuration,
inaccessible_data,
manually_disabled,
permission_missing,
oauth_scope_missing,
subscription_required,
retention_window_exceeded,
provider_data_inaccessible,
invalid_source_identifier,
unsupported_device_type,
stream_disabled,
provider_provisioning_pending,
provider_feature_not_enabled,
missing_vehicle_identifier,
missing_vehicle_assignment,
provider_capability_not_supported,
provider_source_data_invalid,
provider_partially_configured,
managed_poll_returned_no_data,
managed_poll_failed,
data_delayed
status
enum<string>

Filter issues to a specific status

Available options:
ongoing,
resolved

Response

OK

results
Issue · object[]
required
next
string<cursor>

Cursor used for pagination.

Pattern: ^[A-Za-z0-9+/=_-]+$
Example:

"cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw"